commit: 541689a3c10fc594df0b2a867bd6e9bb99fd240d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 28 05:23:05 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 28 06:05:30 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=541689a3
dev-python/apsw: Bump to 3.40.0.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/apsw/Manifest | 1 +
dev-python/apsw/apsw-3.40.0.0.ebuild | 50 ++++++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-python/apsw/Manifest b/dev-python/apsw/Manifest
index 91bc2a68be1d..c8d1c4ae7c18 100644
--- a/dev-python/apsw/Manifest
+++ b/dev-python/apsw/Manifest
@@ -1 +1,2 @@
DIST apsw-3.39.4.0.gh.tar.gz 371139 BLAKE2B
223736e45b581f96cfcf4cd42f3aa278c0c3cc6b49188ac1979cc30835635f0f935eac8231d7ba0e1ae50f169095e672fe33c7938e6dbf94a7b82fc44d126002
SHA512
c09b367fa5825300c4a4fb82916077208ebd5741f9be4814d33032349eacdd6c7d528430e6d85615c56aaea30995c2575bfbe02876dc8e95e2c337a811df07e7
+DIST apsw-3.40.0.0.gh.tar.gz 402492 BLAKE2B
9539bbffd9cbcdee58e798261f9fb09a3f691d442cc80de664ce3d48b6f36608624e8f0b718edf87171bd8e68999ee16ea3829698e9d3277afa5b33931f464cc
SHA512
61ae7d0a6f394176af462c5e80eae1f8fdc9395fcb64d4956c755d552ab0dcac83349633e7867f2fa661a6b707c80b4ae65fd68cd91b0f0d2535aedf65b4a517
diff --git a/dev-python/apsw/apsw-3.40.0.0.ebuild
b/dev-python/apsw/apsw-3.40.0.0.ebuild
new file mode 100644
index 000000000000..f10a20ff8b30
--- /dev/null
+++ b/dev-python/apsw/apsw-3.40.0.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="APSW - Another Python SQLite Wrapper"
+HOMEPAGE="
+ https://github.com/rogerbinns/apsw/
+ https://pypi.org/project/apsw/
+"
+SRC_URI="
+ https://github.com/rogerbinns/apsw/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+IUSE="doc"
+
+DEPEND="
+ >=dev-db/sqlite-${PV%.*}:3
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+src_configure() {
+ cat >> setup.cfg <<-EOF || die
+ [build_ext]
+ enable=load_extension
+ use_system_sqlite_config=True
+ EOF
+}
+
+python_test() {
+ esetup.py build_test_extension
+ cd "${T}" || die
+ "${EPYTHON}" -m apsw.tests -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/. )
+ distutils-r1_python_install_all
+}